<button mat-button (click)="openDialog('nuevo',null)">Nuevo</button>
<br>

<table mat-table [dataSource]="listaUsers" class="mat-elevation-z8">

  <!-- Position Column -->
  <ng-container matColumnDef="id">
    <th mat-header-cell *matHeaderCellDef> No. </th>
    <td mat-cell *matCellDef="let element"> {{element.id}} </td>
  </ng-container>

  <!-- Name Column -->
  <ng-container matColumnDef="username">
    <th mat-header-cell *matHeaderCellDef> username </th>
    <td mat-cell *matCellDef="let element"> {{element.username}} </td>
  </ng-container>

  <!-- Weight Column -->
  <ng-container matColumnDef="email">
    <th mat-header-cell *matHeaderCellDef> email </th>
    <td mat-cell *matCellDef="let element"> {{element.email}} </td>
  </ng-container>

  <!-- Weight Column -->
  <ng-container matColumnDef="password">
    <th mat-header-cell *matHeaderCellDef> password </th>
    <td mat-cell *matCellDef="let element"> {{element.password}} </td>
  </ng-container>

  <!-- Symbol Column -->
  <ng-container matColumnDef="role">
    <th mat-header-cell *matHeaderCellDef> roles </th>
    <td mat-cell *matCellDef="let element">
      <p *ngFor="let item of element.roles">{{item.name}}</p>
    </td>
  </ng-container>


  <ng-container matColumnDef="actions">
    <th mat-header-cell *matHeaderCellDef> actions </th>
    <mat-cell *matCellDef="let element">
      <button mat-icon-button matTooltip="Click to Edit" class="iconbutton" color="primary"
        (click)="openDialog('ver',element)">
        <mat-icon aria-label="Ver">view_agenda</mat-icon>
      </button>
      <button mat-icon-button matTooltip="Click to Edit" class="iconbutton" color="primary"
        (click)="openDialog('editar',element)">
        <mat-icon aria-label="Edit">edit</mat-icon>
      </button>
      <!-- <button mat-icon-button matTooltip="Click to Delete" class="iconbutton" color="warn"
        (click)="eliminarArticulo(element)">
        <mat-icon aria-label="Delete">delete</mat-icon>
      </button> -->
    </mat-cell>
  </ng-container>

  <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
  <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>

</table>

<!-- <button (click)="cearPagina()">Nuevo Producto</button> -->
<mat-paginator [length]="tElements" [pageSize]="rp" [pageSizeOptions]="pageSizeOptions" (page)="handlePages($event)"
  aria-label="Select page">
</mat-paginator>
